net.sf.okapi.common.resource

## Class DocumentPart

- java.lang.Object
- - net.sf.okapi.common.resource.BaseNameable
  - - net.sf.okapi.common.resource.BaseReferenceable
    - - net.sf.okapi.common.resource.DocumentPart

- All Implemented Interfaces:
    IResource, INameable, IReferenceable, IWithAnnotations, IWithBilingualProperties, IWithProperties

      public class DocumentPart
      extends BaseReferenceable

  Resource associated with the filter events DOCUMENT_PART,

- - ### Field Summary

    - ### Fields inherited from class net.sf.okapi.common.resource.BaseReferenceable

      `parentId, refCount`

    - ### Fields inherited from class net.sf.okapi.common.resource.BaseNameable

      `annotations, id, isTranslatable, mimeType, name, preserveWS, properties, skeleton, sourceProperties, type`

    - ### Fields inherited from interface net.sf.okapi.common.IResource

      `COPY_ALL, COPY_CONTENT, COPY_PROPERTIES, COPY_SEGMENTATION, COPY_SEGMENTED_CONTENT, CREATE_EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentPart()`
    `DocumentPart(java.lang.String id, boolean isReferent)` Creates a new DocumentPart object.
    `DocumentPart(java.lang.String id, boolean isReferent, ISkeleton skeleton)` Creates a new DocumentPart object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class net.sf.okapi.common.resource.BaseReferenceable

      `getParentId, getReferenceCount, isReferent, setIsReferent, setParentId, setReferenceCount`

    - ### Methods inherited from class net.sf.okapi.common.resource.BaseNameable

      `createTargetProperty, getAnnotation, getAnnotations, getId, getMimeType, getName, getProperties, getProperty, getPropertyNames, getSkeleton, getSourceProperties, getSourceProperty, getSourcePropertyNames, getTargetLocales, getTargetProperty, getTargetPropertyNames, getType, hasProperty, hasSourceProperty, hasTargetProperty, isTranslatable, preserveWhitespaces, removeProperty, removeSourceProperty, removeTargetProperty, setAnnotation, setId, setIsTranslatable, setMimeType, setName, setPreserveWhitespaces, setProperties, setProperty, setSkeleton, setSourceProperties, setSourceProperty, setTargetProperty, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentPart

          public DocumentPart()

    - #### DocumentPart

          public DocumentPart(java.lang.String id,
                              boolean isReferent)

      Creates a new DocumentPart object.
      Parameters:
        `id` - The ID of this resource.
        `isReferent` - Indicates if this resource is a referent (i.e. is referred to by another resource) or not.

    - #### DocumentPart

          public DocumentPart(java.lang.String id,
                              boolean isReferent,
                              ISkeleton skeleton)

      Creates a new DocumentPart object.
      Parameters:
        `id` - The ID of this resource.
        `isReferent` - Indicates if this resource is a referent (i.e. is referred to by another resource) or not.
        `skeleton` - The skeleton associated with this resource.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `BaseNameable`